Events API Methods

Create a New Marketing Event

POST  /events/v1/events

Create a new marketing event in a given HubSpot Portal.

For now, the API only supports the JSON described above. In the future, additional formats, such as XML, may be added.

Events added through this API will show up in HubSpot's Sources application.

Required Parameters How to use Description
Description &description=foobar - Used in the request URL. The name or description of the marketing event you're creating. Please note that this parameter is limited to 150 characters.
HubSpot OAuth Access Token access_token=X - Used in the request URL The HubSpot API key for the portal that you're making the call for.
Optional Parameters How to use Description
Create Date &createDate=1323272544000 - Used in the request URL The time when the event took place or was created. This should be a Unix timestamp (in milliseconds since the epoch) of the event. If null, this value defaults to right now.
URL &url=http://dev.hubspot.com - Used in the request URL An associated event URL. Limited to 255 characters or less.
Event Type &eventType=Blog%20Post - Used in the request URL A very short tag describing the application that created the event. Limited to 20 characters or less.

Example URL to create a marketing event:  https://api.hubapi.com/events/v1/events?access_token=demooooo-oooo-oooo-oooo-oooooooooooo&description=foobar

The response from this API call are standard REST-style HTTP response codes that mark success or failure, with meta information about the call that was made. There will be no data in the response body.

  • 201 when a new event is created
  • 401 when an unauthorized request is made
  • 500 when an internal server error occurs